petsc-3.15.0 2021-03-30
Report Typos and Errors

# DMGetISColoringType

Gets the type of coloring, global or local, that is created by the DM

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode  DMGetISColoringType(DM dm,ISColoringType *ctype)

Logically Collective on dm

### Input Parameter

| dm | - the DM context

### Output Parameter

| ctype | - the matrix type

### Options Database

| -dm_is_coloring_type | - global or local

### See Also

DMDACreate1d(), DMDACreate2d(), DMDACreate3d(), DMCreateMatrix(), DMSetMatrixPreallocateOnly(), MatType, DMGetMatType(),
DMGetISColoringType()

### Level

intermediate

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages